{% extends 'core/base.html' %}
{% load static %}
{% block title %}Inscripciones{% endblock %}
{% block content %}
{% include 'services/includes/posts_menu.html' %}
<main role="main">
  <div class="container mb-4">
    <!--|dictsort:"id" reversed-->
      <div class="row mt-3">
        <div class="col-md-12 mx-auto">
          <h2 class="mb-4">Cursos</h2>
          <table class="table table-hover">
            <thead>
              <tr>
                <th class="text-center">Ver</th>
                <th>Curso</th>
                <th>Alumno</th>
                <th>MT</th>
                <th>FE</th>
                <th>FG</th>
                {% if request.user.is_staff %}
                  <th class="text-center">Editar</th>
                  <th class="text-center">Calificar</th>
                  <th class="text-center">Borrar</th>
                {% endif %}
              </tr>
            </thead>
            <tbody>
              {% for inscription in inscription_list %}
                <tr>
                  <th class="text-center"><a id="link_footer" href="{% url 'inscriptions:inscription' inscription.id %}"><i class="fa fa-eye"></i></a></th>
                  <th>{{inscription.course}}</th>
                  <th>{{inscription.student.first_name}} {{inscription.student.last_name}}</th>
                  <th>{{inscription.midTerm}}</th>
                  <th>{{inscription.finalExam}}</th>
                  <th>{{inscription.finalGrade}}</th>
                  {% if request.user.is_staff %}
                    <th class="text-center"><a id="link_warning" href="{% url 'inscriptions:update' inscription.id %}"><i class="fa fa-edit"></i></a></th>
                    <th class="text-center"><a id="link_warning" href="{% url 'grades:update' inscription.id %}"><i class="fa fa-pencil"></i></a></th>
                    <th class="text-center"><a id="link_danger" href="{% url 'inscriptions:delete' inscription.id %}"><i class="fa fa-trash"></i></a></th>
                  {% endif %}
                </tr>
                {% endfor %}
            </tbody>
          </table>
        </div>
      </div>
    <!-- Menú de paginación -->
    {% if is_paginated %}
    <nav aria-label="Page navigation">
      <ul class="pagination justify-content-center">
        {% if page_obj.has_previous %}
          <li class="page-item ">
            <a class="page-link" href="?page={{ page_obj.previous_page_number }}">&laquo;</a>
          </li>
        {% else %}
          <li class="page-item disabled">
            <a class="page-link" href="#" tabindex="-1">&laquo;</a>
          </li>
        {% endif %}
        {% for i in paginator.page_range %}
          <li class="page-item {% if page_obj.number == i %}active{% endif %}">
            <a class="page-link" href="?page={{ i }}">{{ i }}</a>
          </li>
        {% endfor %}
        {% if page_obj.has_next %}
          <li class="page-item ">
            <a class="page-link" href="?page={{ page_obj.next_page_number }}">&raquo;</a>
          </li>
        {% else %}
          <li class="page-item disabled">
            <a class="page-link" href="#" tabindex="-1">&raquo;</a>
          </li>
        {% endif %}
      </ul>
    </nav>
    {% endif %}
  </div>
</main>
{% endblock %}
